#!/bin/sh

set -e

case "$1" in
	configure)
		# continue as normal
		;;
	abort-upgrade|abort-remove|abort-deconfigure)
		exit 0;
	;;
	*)
		echo "postinst called with unknown argument \`$1'" >&2;
		exit 0;
	;;
esac

depmod -a

if [ -s /etc/modutils/alsa ]; then
	echo "It looks like you have already configured ALSA."
	echo "You can reconfigure alsa by running alsaconfig."
	echo ""
	/etc/init.d/alsa start
	exit 0
fi

echo -n "Would you like to configure ALSA now? (y/n) [y] "

read REPLY

if [ "$REPLY" = "n" -o "$REPLY" = "N" ]; then
	echo ""
	echo "Please run /usr/sbin/alsaconfig to configure ALSA at a later time.."  
	echo ""
	/etc/init.d/alsa start
	exit 0
fi

if /usr/sbin/alsaconfig ; then
	update-modules
	/etc/init.d/alsa start
fi

